Subject: bug#61325: 30.0.50; Jokes in GNUS manual

From: Jean Louis <[email-masked]>
Date: Fri, 17 Feb 2023 08:22:40 +0300

* Ihor Radchenko <[email-masked]> [2023-02-15 17:49]:
> 
> May you please point me to the place in Gnus manual that explains what
> kill files are?
> 
> I only found the following, but there is no explanation what kill files mean:
> 
>     8.13 Kill Files
>     ===============
>     
>     Gnus still supports those pesky old kill files.  In fact, the kill file
>     entries can now be expiring, which is something I wrote before Daniel
>     Quinlan thought of doing score files, so I’ve left the code in there.

Ask Internet.

Kill file - Wikipedia:
https://en.wikipedia.org/wiki/Kill_file

>From Wikipedia, the free encyclopedia
	
This article needs additional citations for verification. Please help improve this article by adding citations to reliable sources. Unsourced material may be challenged and removed.
Find sources: "Kill file" – news · newspapers · books · scholar · JSTOR (September 2015) (Learn how and when to remove this template message)

A kill file (also killfile, bozo bin or twit list) is a file used by some Usenet reading programs to discard articles matching some unwanted patterns of subject, author, or other header lines. Adding a person or subject to one's kill file means that person or topic will be ignored by one's newsreader in the future. By extension, the term may be used for a decision to ignore the person or subject in other media.

Kill files were first implemented in Larry Wall's rn. Sometimes more than one kill file will be used. Some newsreader programs also allow the user to specify a time period to keep an author in the kill file.

Web-based forums, including at least some web-based Usenet portals, often have a similar but usually simpler feature called an ignore list, which hides any posts by a specific user, though typically without the ability to ignore posts for reasons other than the username of origin.

More advanced newsreader software like Gnus sometimes provides a more sophisticated form of filter known as scoring, where score files are maintained which use fuzzy logic to apply arbitrarily complex overlapping sets of rules to score articles up or down, with articles being properly killed (ignored by the newsreader) only when their weighted score drops below a user-defined threshold. For example, articles might be score killed iff they violate too many low-weighted stylistic rules (e.g. containing too many capital letters or too little punctuation, implying an annoying reading experience), or only one or two highly-weighted rules (such as the body containing objectionable keywords or the origin being a known source of spam).[1] 

--
Jean

Take action in Free Software Foundation campaigns:
https://www.fsf.org/campaigns

In support of Richard M. Stallman
https://stallmansupport.org/